require_dependency "asset_management/asset_management_controller"

module AssetManagement
  class VirtualFoldersController < AssetManagementController
    # GET /virtual_folders
    # GET /virtual_folders.json
    def index
      @virtual_folders = VirtualFolder.all

      respond_to do |format|
        format.html # index.html.erb
        format.json { render :json => @virtual_folders }
      end
    end

    # GET /virtual_folders/1
    # GET /virtual_folders/1.json
    def show
      @virtual_folder = VirtualFolder.find(params[:id])

      respond_to do |format|
        format.html # show.html.erb
        format.json { render :json => @virtual_folder }
      end
    end

    # GET /virtual_folders/new
    # GET /virtual_folders/new.json
    def new
      @virtual_folder = VirtualFolder.new

      respond_to do |format|
        format.html # new.html.erb
        format.json { render :json => @virtual_folder }
      end
    end

    # GET /virtual_folders/1/edit
    def edit
      @virtual_folder = VirtualFolder.find(params[:id])
    end

    # POST /virtual_folders
    # POST /virtual_folders.json
    def create
      @virtual_folder = VirtualFolder.new(params[:virtual_folder])

      respond_to do |format|
        if @virtual_folder.save
          format.html { redirect_to @virtual_folder, :notice => 'Virtual folder was successfully created.' }
          format.json { render :json => @virtual_folder, :status => :created, :location => @virtual_folder }
        else
          format.html { render :action => "new" }
          format.json { render :json => @virtual_folder.errors, :status => :unprocessable_entity }
        end
      end
    end

    # PUT /virtual_folders/1
    # PUT /virtual_folders/1.json
    def update
      @virtual_folder = VirtualFolder.find(params[:id])

      respond_to do |format|
        if @virtual_folder.update_attributes(params[:virtual_folder])
          format.html { redirect_to @virtual_folder, :notice => 'Virtual folder was successfully updated.' }
          format.json { head :no_content }
        else
          format.html { render :action => "edit" }
          format.json { render :json => @virtual_folder.errors, :status => :unprocessable_entity }
        end
      end
    end

    # DELETE /virtual_folders/1
    # DELETE /virtual_folders/1.json
    def destroy
      @virtual_folder = VirtualFolder.find(params[:id])
      @virtual_folder.destroy

      respond_to do |format|
        format.html { redirect_to virtual_folders_url }
        format.json { head :no_content }
      end
    end
  end
end
